cURL
curl --request GET --fail-with-body --max-time 30 \
"${AMLOK_API_BASE_URL}/v1/monitors" \
--header "Authorization: Bearer ${AMLOK_API_KEY}" \
--header 'Accept: application/json'import os
import requests
headers = {'Accept': 'application/json'}
headers["Authorization"] = "Bearer " + os.environ["AMLOK_API_KEY"]
response = requests.request('GET', os.environ["AMLOK_API_BASE_URL"] + '/v1/monitors', headers=headers, timeout=30, allow_redirects=False)
response.raise_for_status()
print(response.json())
const headers = {"Accept": "application/json"};
headers.Authorization = `Bearer ${process.env.AMLOK_API_KEY}`;
const response = await fetch(process.env.AMLOK_API_BASE_URL + "/v1/monitors", {
method: "GET", headers, redirect: "error", signal: AbortSignal.timeout(30000)
});
if (!response.ok) throw new Error(`HTTP ${response.status}: ${await response.text()}`);
console.log(await response.json());
{
"data": [
{
"id": "mon_synthetic",
"borrower_id": "bor_synthetic",
"deal": {
"institution_reference": "LOAN-0042",
"funded_amount": {
"amount": "50000.00",
"currency": "CAD"
},
"outstanding_amount": {
"amount": "48000.00",
"currency": "CAD"
},
"funded_at": "2026-11-05T12:00:00Z",
"maturity_date": "2027-11-06",
"repayment_frequency": "monthly",
"terms_document_ids": []
},
"status": "active",
"baseline_package_id": "rp_synthetic",
"latest_package_id": "rp_signal_synthetic",
"risk_policy_version_id": "rpv_synthetic",
"cadence_id": "cadence_synthetic",
"next_evaluation_at": "2026-11-07T12:00:00Z",
"record_version": 1,
"connection_ids": [
"con_synthetic"
],
"requirements": [],
"failure": null,
"latest_deal_snapshot_id": "ds_synthetic",
"updated_at": "2026-11-06T12:00:00Z"
}
],
"meta": {
"request_id": "req_synthetic",
"schema_version": "1.0.0",
"environment": "sandbox"
},
"page": {
"next_cursor": null,
"has_more": false,
"snapshot_id": "snap_synthetic",
"expires_at": "2026-11-06T13:00:00Z"
}
}{
"error": {
"code": "validation_error",
"message": "Validation error.",
"retryable": false,
"request_id": "req_synthetic",
"field": null
}
}{
"error": {
"code": "unauthenticated",
"message": "Unauthenticated.",
"retryable": false,
"request_id": "req_synthetic",
"field": null
}
}{
"error": {
"code": "forbidden",
"message": "Forbidden.",
"retryable": false,
"request_id": "req_synthetic",
"field": null
}
}{
"error": {
"code": "not_found",
"message": "Not found.",
"retryable": false,
"request_id": "req_synthetic",
"field": null
}
}{
"error": {
"code": "invalid_state",
"message": "Invalid state.",
"retryable": false,
"request_id": "req_synthetic",
"field": null
}
}{
"error": {
"code": "cursor_expired",
"message": "Cursor expired.",
"retryable": false,
"request_id": "req_synthetic",
"field": null
}
}{
"error": {
"code": "rate_limited",
"message": "Rate limited.",
"retryable": true,
"request_id": "req_synthetic",
"field": null
}
}{
"error": {
"code": "temporarily_unavailable",
"message": "Temporarily unavailable.",
"retryable": true,
"request_id": "req_synthetic",
"field": null
}
}Signal
List monitors
List monitors.
GET
/
v1
/
monitors
cURL
curl --request GET --fail-with-body --max-time 30 \
"${AMLOK_API_BASE_URL}/v1/monitors" \
--header "Authorization: Bearer ${AMLOK_API_KEY}" \
--header 'Accept: application/json'import os
import requests
headers = {'Accept': 'application/json'}
headers["Authorization"] = "Bearer " + os.environ["AMLOK_API_KEY"]
response = requests.request('GET', os.environ["AMLOK_API_BASE_URL"] + '/v1/monitors', headers=headers, timeout=30, allow_redirects=False)
response.raise_for_status()
print(response.json())
const headers = {"Accept": "application/json"};
headers.Authorization = `Bearer ${process.env.AMLOK_API_KEY}`;
const response = await fetch(process.env.AMLOK_API_BASE_URL + "/v1/monitors", {
method: "GET", headers, redirect: "error", signal: AbortSignal.timeout(30000)
});
if (!response.ok) throw new Error(`HTTP ${response.status}: ${await response.text()}`);
console.log(await response.json());
{
"data": [
{
"id": "mon_synthetic",
"borrower_id": "bor_synthetic",
"deal": {
"institution_reference": "LOAN-0042",
"funded_amount": {
"amount": "50000.00",
"currency": "CAD"
},
"outstanding_amount": {
"amount": "48000.00",
"currency": "CAD"
},
"funded_at": "2026-11-05T12:00:00Z",
"maturity_date": "2027-11-06",
"repayment_frequency": "monthly",
"terms_document_ids": []
},
"status": "active",
"baseline_package_id": "rp_synthetic",
"latest_package_id": "rp_signal_synthetic",
"risk_policy_version_id": "rpv_synthetic",
"cadence_id": "cadence_synthetic",
"next_evaluation_at": "2026-11-07T12:00:00Z",
"record_version": 1,
"connection_ids": [
"con_synthetic"
],
"requirements": [],
"failure": null,
"latest_deal_snapshot_id": "ds_synthetic",
"updated_at": "2026-11-06T12:00:00Z"
}
],
"meta": {
"request_id": "req_synthetic",
"schema_version": "1.0.0",
"environment": "sandbox"
},
"page": {
"next_cursor": null,
"has_more": false,
"snapshot_id": "snap_synthetic",
"expires_at": "2026-11-06T13:00:00Z"
}
}{
"error": {
"code": "validation_error",
"message": "Validation error.",
"retryable": false,
"request_id": "req_synthetic",
"field": null
}
}{
"error": {
"code": "unauthenticated",
"message": "Unauthenticated.",
"retryable": false,
"request_id": "req_synthetic",
"field": null
}
}{
"error": {
"code": "forbidden",
"message": "Forbidden.",
"retryable": false,
"request_id": "req_synthetic",
"field": null
}
}{
"error": {
"code": "not_found",
"message": "Not found.",
"retryable": false,
"request_id": "req_synthetic",
"field": null
}
}{
"error": {
"code": "invalid_state",
"message": "Invalid state.",
"retryable": false,
"request_id": "req_synthetic",
"field": null
}
}{
"error": {
"code": "cursor_expired",
"message": "Cursor expired.",
"retryable": false,
"request_id": "req_synthetic",
"field": null
}
}{
"error": {
"code": "rate_limited",
"message": "Rate limited.",
"retryable": true,
"request_id": "req_synthetic",
"field": null
}
}{
"error": {
"code": "temporarily_unavailable",
"message": "Temporarily unavailable.",
"retryable": true,
"request_id": "req_synthetic",
"field": null
}
}List monitor. All IDs and cursors must belong to the authorized workspace and environment. Required scope: signal:read.
Examples use synthetic IDs. Replace them with values returned by your environment.
Authorizations
Server-to-server API key bound to exactly one workspace, institution tenant and environment. No caller-supplied workspace override is accepted. Do not use in public browser code.
Query Parameters
cursor
Minimum string length:
1limit
Required range:
1 <= x <= 100borrower id
Minimum string length:
1institution reference
Minimum string length:
1status
Minimum string length:
1